About maintaining the database

It is recommended that you periodically optimize the database to free hard disk drive space and enhance database performance.

The Database Maintenance dialog box displays a tree of folders on your hard disk drive. Each folder contains database information and is represented by an icon.

This icon represents folders that contain cached thumbnails.

This icon represents folders that have been changed without a database update. For example, a folder was renamed or moved. It is recommended that you optimize the database.

This icon represents folders that contain cached thumbnails and have been changed without a database update. It is recommended that you optimize the database.

You can optimize the entire database. For more information, please see:

Optimizing the entire database

You can perform select maintenance functions on the database. For more information, please see the following pages:

  • Removing orphan folders

  • Removing information and thumbnails

  • Removing thumbnails


Database maintenance buttons

You can use the Database Maintenance dialog box buttons to perform maintenance tasks on selected folders.

Remove Orphan Folders | Removes database information for folders that no longer exist on your system
Remove Database Information and Thumbnails | Removes all database information and cached thumbnails from the selected folder
Remove Thumbnails | Removes all cached thumbnails from the selected folder


Optimizing the entire database

It is recommended that you periodically optimize the database to free hard disk drive space and enhance database performance. Optimizing the database removes any redundant information. It does not delete any files.

To optimize the entire database:

  1. In the Database Maintenance dialog box, select the Root folder in the Database Content field.

  2. Click the Optimize button.

A progress indicator displays when the optimization is complete.


Removing orphan folders

You can remove database information for folders of images that no longer exist on your system (also know as orphans).

To remove orphan folders:

  1. In the Database Maintenance dialog box, select a folder.

  2. Click the Remove Orphan Folders button.

  3. Click the Optimize button.

A progress indicator displays when the optimization is complete.


Removing information and thumbnails

You can remove the database information and cached thumbnails in selected folders on your hard disk drive.

To remove information and thumbnails from the database:

  1. In the Database Maintenance dialog box, select a folder.

  2. Click the Remove Database Information and Thumbnails button.

  3. Click the Optimize button.

A progress indicator displays when the optimization is complete.


Removing thumbnails

You can remove the cached thumbnails in selected folders on your hard disk drive.

To remove thumbnails from the database:

  1. In the Database Maintenance dialog box, select a folder.

  2. Click the Remove Thumbnails button.

  3. Click the Optimize button.

A progress indicator displays when the optimization is complete.


Changing the binding of a folder

If you reformat a drive and restore the files from a back-up, or if you remove a folder in Windows® Explorer™, the database information associated with any images is disabled. You can correct this by changing the binding of the drive or folder.

Important:

When rebinding it is necessary that you do not browse the folder that is being rebound and that you restart ACDSee immediately after rebinding.

To change the binding:

  1. In the Database Maintenance dialog box. right-click a drive or folder, and from the shortcut menu, select Change Binding. This option is available only when it is possible to rebind the drive or folder.

  2. In the Folder Binding dialog box, click the Change Binding button.

  3. Browse to the new location of the folder.

  4. Select the folder.

  5. Click OK.

Note:

If the moved folder was removed from the database (using the Remove Folders option) then it is not possible to locate the folder in Step 2. You cannot change the binding.


.topic 221
Displays the contents of the database cache. Each folder in the list corresponds to a folder on your computer’s hard disk drive, removable drive, or network.

.topic 224
Within the selected item, removes all cached information for files and folders that no longer exist on your system.

.topic 226
Removes all cached thumbnails for the selected item.

.topic 225
Removes all cached information within the selected item. Warning: when using this option, all database information that you have entered (including descriptions, notes, keywords, author, and date) is removed permanently.

.topic 222
Starts the optimization process.

.topic 223
Stops optimization and closes this window.